﻿Imports Docs.Excel

Module Module1

    Sub Main()
        'Create a new workbook.
        Dim Wbook = New ExcelWorkbook()

        'Add new worksheet to workbook.
        Wbook.Worksheets.Add("Sheet1")

        'Write a text and set background of cell.
        Wbook.Worksheets(0).Cells("B2").Value = "sample"
        Wbook.Worksheets(0).Cells("B2").Style.BackgroundColor = Color.SkyBlue

        'Write a text and set fill style of cell.
        Wbook.Worksheets(0).Cells("B4").Value = "sample"
        Wbook.Worksheets(0).Cells(3, 1).Style.BackgroundColor = ColorPalette.Aqua
        Wbook.Worksheets(0).Cells(3, 1).Style.PatternForeColor = Color.FromArgb(0, 112, 144)
        Wbook.Worksheets(0).Cells(3, 1).Style.PatternFillStyle = TypeOfFillPattern.ThinHorizontalStripe

        'Write a text and set background of cell.
        Wbook.Worksheets(0).Cells("D2").Value = "sample"
        Wbook.Worksheets(0).Cells("D2").SetFillColorOfCell(ColorPalette.IceBlue)

        'Write a text and set fill style of cell.
        Wbook.Worksheets(0).Cells("D4").Value = "sample"
        Wbook.Worksheets(0).Cells("D4").SetFillColorOfCell(Color.FromArgb(11468902), ColorPalette.Red, TypeOfFillPattern.DiagonalCrosshatch)

        'Write a text and set gradient fill style of cell(only .xlsx).
        Wbook.Worksheets(0).Cells("F2").Value = "sample"
        Wbook.Worksheets(0).Cells("F2").SetFillColorOfCell(ColorPalette.SkyBlue, ColorPalette.Red, TypeOfFillPattern.GradientVertical)

        'Write a text and set gradient fill style of cell(only .xlsx).
        Wbook.Worksheets(0).Cells("F4").Value = "sample"
        Wbook.Worksheets(0).Cells("F4").Style.BackgroundColor = ColorPalette.Red
        Wbook.Worksheets(0).Cells("F4").Style.PatternForeColor = Color.Yellow
        Wbook.Worksheets(0).Cells("F4").Style.PatternFillStyle = TypeOfFillPattern.GradientDiagonalUpRevers

        'Write .xls file.
        Wbook.WriteXLS("..\..\..\CellFill.xls")

        'Write .xlsx file.
        Wbook.WriteXLSX("..\..\..\CellFill.xlsx")

        'Open specified file in MS Excel.
        System.Diagnostics.Process.Start("..\..\..\CellFill.xlsx")


    End Sub

End Module
